From c86633d53c1150048cbcb2605403ffb227c853b4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 06:48:58 +0000
Subject: [PATCH 970/2232] Generalize OrderedSet::contains method


---

diff --git a/syntax/set.rs b/syntax/set.rs
index b553169..891df60 100644
--- a/syntax/set.rs
+++ b/syntax/set.rs
@@ -1,3 +1,4 @@
+use std::borrow::Borrow;
 use std::collections::HashSet;
 use std::fmt::{self, Debug};
 use std::hash::Hash;
@@ -27,7 +28,11 @@ where
         new
     }
 
-    pub fn contains(&self, value: &T) -> bool {
+    pub fn contains<Q>(&self, value: &Q) -> bool
+    where
+        &'a T: Borrow<Q>,
+        Q: ?Sized + Hash + Eq,
+    {
         self.set.contains(value)
     }
 }

